package com.fq.channel.sdk.base.constants;

/**
 * @Description: 对外公共常量
 * @Author: FLuty
 * @CreateDate: 2020/4/3 14:44
 */
public class ConstSet {

    /*支付常量集合*/
    public static final String PAY_ORDER_ID = "orderId" ;
    public static final String PAY_PAYMENT_STATE = "paymentstate" ;
    public static final String PAY_PAYMETHOD = "paymethod" ;
    public static final String PAY_SUBMIT_TIME = "submitTime" ;
    /**
     * SDK的商品ID.
     */
    public static final String PAY_PRODUCT_ID = "product_id" ;
    /**
     * 商品价格。
     */
    public static final String PAY_PRICE = "wapMoney" ;
    public static final String PAY_PRODUCT_NAME = "productName" ;
    public static final String PAY_SERVER_ID = "serverId" ;
    public static final String PAY_EXTRAL_INFO = "extral_info" ;
    /**
     * 商品描述
     */
    public static final String PAY_PRODUCT_DES = "product_des" ;
    /**
     * 商品数量。
     */
    public static final String PAY_AMOUNT = "amount" ;
    /**
     * 商品量词，例：一张/一个
     */
    public static final String PAY_QUANTIFIER = "quantifier" ;
    /**
     * 兑换比例。
     */
    public static final String PAY_RATE = "rate" ;
    public static final String PAY_NOTIFYURl = "notifyurl" ;
    /**
     * 商品单位，例如金币，钻石。
     */
    public static final String PAY_MONETARYUNIT = "monetaryunit" ;
    /**
     * 角色ID int类型字符串
     */
    public static final String PAY_SERVER_UID = "server_uid" ;
    /**
     * 渠道支付额外参数 例如 回调地址（NotifyUrl）、支付签名（Sign）等  由服务端返回
     */
    public static final String PAY_CHANNEL_ORDERINFO = "Channel_Orderinfo" ;
    /**
     * 商品ID。
     */
    public static final String PAY_GOODS_ID = "goods_id" ;
    /**
     * 计费ID
     */
    public static final String PAY_CHARGE_ID = "charge_id" ;

    /*数据上报常量集合*/
    public static final String DATA_KEY_ROLE_NAME = "roleName" ;
    public static final String DATA_KEY_ROLE_LEVEL = "roleLevel" ;
    public static final String DATA_KEY_ROLE_ID = "roleId" ;
    public static final String DATA_KEY_ROLE_TYPE = "roleType" ;
    public static final String DATA_KEY_SERVER_ID = "serverId" ;
    public static final String DATA_KEY_SERVER_NAME = "serverName" ;
    public static final String DATA_KEY_BALANCE = "balance" ;
    public static final String DATA_KEY_VIP_LEVEL = "vipLevel" ;
    public static final String DATA_KEY_PARTY_NAME = "partyName" ;
    public static final String DATA_KEY_ROLE_CREATE_TIME = "roleCTime" ;
    public static final String DATA_KEY_ROLE_LEVEL_TIME = "roleLevelMTime" ;
    public static final String DATA_KEY_ZONE_ID = "zoneId" ;
    public static final String DATA_KEY_ZONE_NAME = "zoneName" ;
    public static final String DATA_KEY_DATA_TYPE = "dataType" ;
    public static final String DATA_KEY_DATA_MONEY = "money" ;
    public static final String DATA_KEY_DATA_PARTY_NAME = "partyName" ;

}
